/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2011, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var dojoConfig = { logLevel: 2, timezoneLoadingScheme: "lazyLoad", async: true };

(function() {
    // Set debug parameters in dojo if found in the query string.
    var queryString = window.location.href.split("?")[1],
        match;

    // As Issue 125998 needed, we clear cache all the time.
    dojoConfig.cacheBust = new Date().valueOf();

    if (queryString) {
        if (queryString.indexOf("debug=true") >= 0 || queryString.indexOf("console=true") >= 0) {
            dojoConfig.has = {
                "dojo-firebug": true,
                "dojo-debug-messages": true
            };
            dojoConfig.cacheBust = undefined;
        }

        if (queryString.indexOf("preventLogout=true") >= 0) {
            dojoConfig.preventLogout = true;
        }

        if (queryString.indexOf("consoleTrace=false") >= 0) {
            dojoConfig.consoleTrace = false;
        }

        // Configure custom log level if passed in url
        match = /loglevel=(\d+)/.exec(queryString);
        if (match) {
            dojoConfig.logLevel = parseInt(match[1], 10);
        }

        // Configure custom log filter if passed in url
        match = /logfilter=([a-zA-Z.$\^|]+)/.exec(decodeURI(queryString));
        if (match) {
            dojoConfig.logFilter = new RegExp(match[1]);
        }
    }

    // Set locale parameter if the locale cookie is present
    match = /cfsLocale=([a-zA-Z_-]+)/.exec(document.cookie);
    if (match) {
        dojoConfig.locale = match[1].toLowerCase();
    }
})();

// Only interested in log messages from the cfs.base.Application widget
// for the specified log level.
//dojoConfig.logFilter = /^cfs.base.Application$/;

// Interested in log messages for all widgets in the cfs.base module
// for the specified log level.
// dojoConfig.logFilter = /^cfs.base/;
