var profile = (function(){
    
    var testResourceRe = /tests/,

        copyOnly = function(filename, mid){
            var list = {
                "idx/idx.profile":1,
                "idx/package.json":1
            };
            return (mid in list) || (/^idx\/resources\//.test(mid) && !/\.css$/.test(filename)) || /(png|jpg|jpeg|gif|tiff)$/.test(filename);
        };
        
        excludes = [
                    "mobile",
                    "idx/gridx/tests"
                ],

        excludesRe = new RegExp(("^idx/(" + excludes.join("|") + ")").replace(/\//, "\\/")),
        
        excludeFunction = function(mid){
            return excludesRe.test(mid);
        };

    return {
        resourceTags:{
            test: function(filename, mid){
                return testResourceRe.test(mid) || mid=="idx/tests";
            },

            copyOnly: function(filename, mid){
                return copyOnly(filename, mid);
            },

            amd: function(filename, mid){
                return !testResourceRe.test(mid) && !copyOnly(filename, mid) && /\.js$/.test(filename);
            },
            
            miniExclude: function(filename, mid){
                return excludeFunction(mid);
            }
        },

        trees:[
            [".", ".", /(\/\.)|(~$)/]
        ],
        packages:[{
            name: 'dojo',
            location: '../../org.dojotoolkit_1.8.1/WebContent/dojo'
        },
        {
            name: 'dijit',
            location: '../../org.dojotoolkit_1.8.1/WebContent/dijit'
        },
        {
            name: 'dojox',
            location: '../../org.dojotoolkit_1.8.1/WebContent/dojox'
        },
        {
            name: 'idx',
            location: './idx'
        }]
    };
})();
